curl --request POST \
--url https://app.alphapo.net/api/v2/addresses/take \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"currency": "BTC",
"foreign_id": "test_foreign_id",
"end_user_reference": "test_end_user_reference"
}
'{
"data": {
"id": 240407213,
"currency": "BTC",
"address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
"tag": null,
"foreign_id": "test_foreign_id",
"end_user_reference": "test_end_user_reference"
}
}Generate a deposit address for a user
curl --request POST \
--url https://app.alphapo.net/api/v2/addresses/take \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"currency": "BTC",
"foreign_id": "test_foreign_id",
"end_user_reference": "test_end_user_reference"
}
'{
"data": {
"id": 240407213,
"currency": "BTC",
"address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
"tag": null,
"foreign_id": "test_foreign_id",
"end_user_reference": "test_end_user_reference"
}
}Deposits sent to this address are attributed to the user identified byDocumentation Index
Fetch the complete documentation index at: https://docs.alphapo.net/llms.txt
Use this file to discover all available pages before exploring further.
foreign_id.Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
The currency to receive. For a list of all available currencies, see API currency codes.
The unique ID of the customer who will be depositing to this address. It will be returned with every callback to make it easy for you to identify the customer within your system. The same foreign_id can be reused across multiple addresses that belong to the same customer. This parameter must not include any personal data.
A persistent internal user ID used to track all requests for the same end user. Must be consistent across requests and must not contain personal data, such as the user's name or email address.
Automatically convert all deposits to this currency. If omitted, no automatic conversion is applied.
Lightning invoice amount.
currency is BTCLN./currencies/list endpoint.Created
Show child attributes
Was this page helpful?